#!/bin/sh

cwd=`dirname $0`
linux_aipo_home=`cat $cwd/batch_linux.conf | grep linux_aipo_home`
aipo_home=`echo $linux_aipo_home | sed s/'linux_aipo_home='//g`

LIB_DIR=$aipo_home/tomcat/webapps/aipo/WEB-INF/lib
JDBC_FILE=$aipo_home/tomcat/lib/postgresql-8.4-702.jdbc4.jar
SERVLET_FILE=$aipo_home/tomcat/lib/servlet-api.jar

f1=$LIB_DIR/activation-1.1.1.jar
f2=$LIB_DIR/aipo-jetspeed-6.0.1.jar
f3=$LIB_DIR/aopalliance-1.0.jar
f4=$LIB_DIR/castor-0.9.3.jar
f5=$LIB_DIR/cayenne-2.0.4.jar
f6=$LIB_DIR/commons-beanutils-1.7.0.jar
f7=$LIB_DIR/commons-beanutils-core-1.7.0.jar
f8=$LIB_DIR/commons-betwixt-0.8.jar
f9=$LIB_DIR/commons-codec-1.4.jar
f10=$LIB_DIR/commons-collections-3.2.jar
f11=$LIB_DIR/commons-configuration-1.0-dev-3.20030607.194155.jar
f12=$LIB_DIR/commons-dbcp-1.4.jar
f13=$LIB_DIR/commons-digester-1.7.jar
f14=$LIB_DIR/commons-email-1.1.jar
f15=$LIB_DIR/commons-fileupload-1.0.jar
f16=$LIB_DIR/commons-httpclient-3.1.jar
f17=$LIB_DIR/commons-io-1.4.jar
f18=$LIB_DIR/commons-lang-2.3.jar
f19=$LIB_DIR/commons-logging-1.1.1.jar
f20=$LIB_DIR/commons-pool-1.3.jar
f21=$LIB_DIR/ecs-1.4.2.jar
f22=$LIB_DIR/ehcache-core-2.2.0.jar
f23=$LIB_DIR/ezmorph-1.0.6.jar
f24=$LIB_DIR/fulcrum-3.0-b2-dev.jar
f25=$LIB_DIR/guava-r06.jar
f26=$LIB_DIR/guice-2.0.jar
f27=$LIB_DIR/guice-jmx-2.0.jar
f28=$LIB_DIR/javamail-1.4.jar
f29=$LIB_DIR/joda-time-1.6.jar
f30=$LIB_DIR/json-20070829.jar
f31=$LIB_DIR/json-lib-2.3-jdk15.jar
f32=$LIB_DIR/juel-impl-2.1.3.jar
f33=$LIB_DIR/log4j-1.2.9.jar
f34=$LIB_DIR/lucene-1.3.jar
f35=$LIB_DIR/mail-1.4.jar
f36=$LIB_DIR/oauth-20100527.jar
f37=$LIB_DIR/ojb-0.7.343.jar
f38=$LIB_DIR/oro-2.0.8.jar
f39=$LIB_DIR/poi-2.5.1-final-20040804.jar
f40=$LIB_DIR/regexp-1.3.jar
f41=$LIB_DIR/shindig-common-2.0.2.jar
f42=$LIB_DIR/skmail-0.5.jar
f43=$LIB_DIR/skutility-0.5.jar
f44=$LIB_DIR/slf4j-api-1.5.11.jar
f45=$LIB_DIR/soap-2.1.jar
f46=$LIB_DIR/stratum-1.0-b4-dev.jar
f47=$LIB_DIR/torque-3.1.jar
f48=$LIB_DIR/turbine-2.2-al1.jar
f49=$LIB_DIR/uddi4j-1.0.jar
f50=$LIB_DIR/velocity-1.6.4.jar
f51=$LIB_DIR/xalan-2.3.1.jar
f52=$LIB_DIR/xercesImpl-2.0.2.jar
f53=$LIB_DIR/xml-apis-1.3.04.jar
f54=$LIB_DIR/xmlParserAPIs-2.0.2.jar
f55=$LIB_DIR/xpp3_min-1.1.4c.jar
f56=$LIB_DIR/xstream-1.3.1.jar

JCLASS_PATH=$LIB_DIR:$JDBC_FILE:$SERVLET_FILE:$f1:$f2:$f3:$f4:$f5:$f6:$f7:$f8:$f9:$f10:$f11:$f12:$f13:$f14:$f15:$f16:$f17:$f18:$f19:$f20:$f21:$f22:$f23:$f24:$f25:$f26:$f27:$f28:$f29:$f30:$f31:$f32:$f33:$f34:$f35:$f36:$f37:$f38:$f39:$f40:$f41:$f42:$f43:$f44:$f45:$f46:$f47:$f48:$f49:$f50:$f51:$f52:$f53:$f54:$f55:$f56

$aipo_home/jre/bin/java -cp $cwd/bin:$JCLASS_PATH ActivityFix $aipo_home
$aipo_home/jre/bin/java -cp $cwd/bin:$JCLASS_PATH DbcpConfUpdate $aipo_home

